=== debian/changelog ===
vt (0.57721+ds-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:25 +1100

vt (0.57721+ds-3build1) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:58:59 +0100

vt (0.57721+ds-3) unstable; urgency=medium

  * patch 0001: Get rid of commented code
  * Add patch 0002-hts-1.11.patch

 -- Antoni Villalonga <antoni@friki.cat>  Mon, 09 Nov 2020 09:29:40 +0100

vt (0.57721+ds-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change the build dependency to libcurl4-gnutls-dev.
    (Closes: #971793)
  * Backport upstream fix for FTBFS with latest HTSlib.

 -- Adrian Bunk <bunk@debian.org>  Thu, 05 Nov 2020 10:49:14 +0200

vt (0.57721+ds-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2020 14:57:56 +0200

vt (0.57721+ds-1) unstable; urgency=medium

  * Initial release (Closes: #963050, #963051)

 -- Antoni Villalonga <antoni@friki.cat>  Thu, 18 Jun 2020 09:57:21 +0200
