=== debian/control ===
Source: vt
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Antoni Villalonga <antoni@friki.cat>
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               libbz2-dev,
               liblzma-dev,
               libcurl4-gnutls-dev,
               libssl-dev,
               libdeflate-dev,
               libhts-dev,
               libpcre2-dev,
               libsvm-dev,
               libtclap-dev,
               r-mathlib,
               r-base-core,
Standards-Version: 4.5.0
Homepage: https://genome.sph.umich.edu/wiki/Vt
Vcs-Browser: https://salsa.debian.org/med-team/vt
Vcs-Git: https://salsa.debian.org/med-team/vt.git
Rules-Requires-Root: no

Package: vt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         r-base-core,
Description: toolset for short variant discovery in genetic sequence data
 vt is a variant tool set that discovers short variants from Next Generation
 Sequencing data.
 .
 Vt-normalize is a tool to normalize representation of genetic variants in
 the VCF.  Variant normalization is formally defined as the consistent
 representation of genetic variants in an unambiguous and concise way.  In
 vt a simple general algorithm to enforce this is implemented.

Package: vt-examples
Architecture: all
Depends: ${misc:Depends},
Enhances: vt
Description: toolset for short variant discovery in genetic sequence data (examples)
 vt is a variant tool set that discovers short variants from Next Generation
 Sequencing data.
 .
 Vt-normalize is a tool to normalize representation of genetic variants in
 the VCF.  Variant normalization is formally defined as the consistent
 representation of genetic variants in an unambiguous and concise way.  In
 vt a simple general algorithm to enforce this is implemented.
 .
 This package contains some example data.
