=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vt-$1.tar.gz%" \
   https://github.com/atks/vt/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
